﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace prviPopravni
{
    public abstract class Karta
    {
        protected string id;
        protected string pocetnaDestinacija;
        protected string krajnjaDestinacije;
        protected double razdaljinaUKilometrima;
        protected double cenaKartePoKilometru;

        public Karta(string id, string poc, string kraj, double raz, double cena)
        {
            this.id = id;
            this.pocetnaDestinacija = poc;
            this.krajnjaDestinacije = kraj;
            this.razdaljinaUKilometrima = raz;
            this.cenaKartePoKilometru = cena;
        }

        public string PocetnaDestinacija
        {
            get
            {
                return pocetnaDestinacija;
            }
        }

        public string KrajnjaDestinacija
        {
            get
            {
                return krajnjaDestinacije;
            }
        }

        public abstract double dajCenuKarte();
        public override string ToString()
        {
            return this.id + " - " + this.PocetnaDestinacija + " -> " + this.KrajnjaDestinacija;
        }
    }
}
