﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PrviKolokvijum
{
    public abstract class Karta
    {
        protected string id;
        protected string pocetnaDestinacija;
        protected string krajnjaDestinacija;
        protected double razdaljinaUKilometrima;
        protected double cenaKartePoKilometru;

        public Karta(string id, string pocetna, string krajnja, double razdaljina, double cena)
        {
            this.id = id;
            this.pocetnaDestinacija = pocetna;
            this.krajnjaDestinacija = krajnja;
            this.razdaljinaUKilometrima = razdaljina;
            this.cenaKartePoKilometru = cena;
        }

        public string PocetnaDestinacija { get { return pocetnaDestinacija; } }

        public string KrajnjaDestinacija { get { return krajnjaDestinacija; } }

        public abstract double dajCenuKarte();

        public override string ToString()
        {
            return id + "-" + PocetnaDestinacija + "->" + KrajnjaDestinacija;
        }
    }
}
