﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PrviKolokvijum
{
    public class Program
    {
        public static void Main(string[] args)
        {
            Putovanje p = new Putovanje("Kragujevac", "Prag");
            List<Aranzman> aranzmani = new List<Aranzman>();

            Aranzman a1 = new Aranzman("Kragujevac", "Budimpesta", false, 3, 20);
            List<Karta> karte1 = new List<Karta>();
            karte1.Add(new AutobuskaKarta("AUTOBUS_101", "Kragujevac", "Beograd", 0.2, 150));
            karte1.Add(new AvionskaKarta("AVION_102", "Beograd", "Budimpesta", 320, 1, true, true));
            a1.dodajKarte(karte1);

            Aranzman a2 = new Aranzman("Budimpesta", "Prag", true, 5, 20);
            List<Karta> karte2 = new List<Karta>();
            karte2.Add(new AvionskaKarta("AVION_201", "Budimpesta", "Prag", 442, 0.05, true, false));
            a2.dodajKarte(karte2);

            Aranzman a3 = new Aranzman("Prag", "Kragujevac", true, 0, 0);
            List<Karta> karte3 = new List<Karta>();
            karte3.Add(new AvionskaKarta("AVION_301", "Prag", "Budimpesta", 442, 0.1, true, false));
            karte3.Add(new VoznaKarta("VOZ_301", "Budimpesta", "Kragujevac", 470, 0.15));
            a3.dodajKarte(karte3);

            aranzmani.Add(a1);
            aranzmani.Add(a2);
            aranzmani.Add(a3);

            p.dodajAranzmane(aranzmani);

            Console.WriteLine("Cena putovanja je: " + p.CenaPutovanja);
            Console.WriteLine("Popust je: " + p.Popust);
            Console.WriteLine("Cena putovanja sa popustom je: " + (p.CenaPutovanja - p.Popust));


            Console.WriteLine(p.ToString());
        }
    }
}
