﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Drugi
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        BinarnoStablo<Student> stablo;
        List<Student> studenti;
        public MainWindow()
        {
            InitializeComponent();
            stablo = new BinarnoStablo<Student>();
            studenti = new List<Student>();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            if (txtIme.Text == "" || txtGodinaUpisa.Text == "" || txtBrojPoena.Text == "" || txtIndeks.Text == "") MessageBox.Show("Niste uneli neko polje. Molimo vas da popunite sva polja");
            else
            {
                string ime = txtIme.Text;
                int indeks = int.Parse(txtIndeks.Text);
                int godinaUpisa = int.Parse(txtGodinaUpisa.Text);
                DateTime datumRodjenja = (DateTime)datePickerdatumRodj.SelectedDate;
                double brojPoena = double.Parse(txtBrojPoena.Text);
                Student student = new Student(indeks, godinaUpisa, ime, datumRodjenja);
                student.BrojPoena1 = double.Parse(txtBrojPoena.Text);
                bool imaLiGa = false;
                foreach (Student item in studenti)
                {
                    if (item.ToString().Equals(student.ToString())) imaLiGa = true;
                }
                // if (imaLiGa == false) stablo.dodajVrednost(student);
                if (imaLiGa == false) listBox1.Items.Add(student.ToString());
                
            }
        }
    }
}
