﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication1
{
    public abstract class Karta
    {
        protected string id;
        protected string pocetnaDestinacija;
        protected string krajnjaDestinacija;
        protected double razdaljinaUKilometrima;
        protected double cenaKartePoKilometru;


        public Karta(string id, string pD, string kD,double razdaljina, double cenaKarte)
        {
            this.id = id;
            pocetnaDestinacija = pD;
            krajnjaDestinacija = kD;
            razdaljinaUKilometrima = razdaljina;
            cenaKartePoKilometru = cenaKarte;
        }

        public string PocetnaDestinacija { get { return pocetnaDestinacija; }  }
        public string KrajnajaDestinacija { get { return krajnjaDestinacija; }  }



        public abstract double dajCenuKarte();

        public override string ToString()
        {
            return id + "-" + pocetnaDestinacija + "->" + krajnjaDestinacija;
        }
    }
}
