﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    public abstract class Karta 
    {
        protected string id;
        protected string pocetnaDestinacija;

        public string PocetnaDestinacija
        {
            get { return pocetnaDestinacija; }
        }
        protected string krajnjaDestinacija;

        public string KrajnjaDestinacija
        {
            get { return krajnjaDestinacija; }
        }
        protected double razdaljinaUKilometrima;
        protected double cenaKartePoKilometru;

        public Karta(string id, string pocetnaDestinacija, string krajnjaDestinacija, double razdaljinaUKilometrima, double cenaKartePoKilometru)
        {
            this.id = id;
            this.pocetnaDestinacija = pocetnaDestinacija;
            this.krajnjaDestinacija = krajnjaDestinacija;
            this.razdaljinaUKilometrima = razdaljinaUKilometrima;
            this.cenaKartePoKilometru = cenaKartePoKilometru;
        }

        public abstract double dajCenu();

        public override string ToString()
        {
            return id + "-" + pocetnaDestinacija + "->" + krajnjaDestinacija;
        }

    }
}
