﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace I
{
    public abstract class Karta
    {
        protected string id;
        protected string pocetnaDestinacija;
        protected string krajnjaDestinacija;
        protected double razdaljinaUKilometrima;
        protected double cenaKartePoKilometru;
        public Karta(string id, string pocetnaDestinacija, string krajnjaDestinacija, double razdaljinaUKilometrima, double cenaKartePoKilometru)
        {
            this.id = id;
            this.pocetnaDestinacija = pocetnaDestinacija;
            this.krajnjaDestinacija = krajnjaDestinacija;
            this.razdaljinaUKilometrima = razdaljinaUKilometrima;
            this.cenaKartePoKilometru = cenaKartePoKilometru;
        }

        public string PocetnaDestinacija
        {
            get { return pocetnaDestinacija; }
        }
        public string KrajnjaDestinacija
        {
            get { return krajnjaDestinacija; }
        }

        public abstract double dajCenuKarte();

        public override string ToString()
        {
            return id + "-" + pocetnaDestinacija + "->" + krajnjaDestinacija;
        }

    }
}
