﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace II
{
    public class BinarnoStablo<T> where T: IComparable<T>
    {
        private Cvor<T> glava;

        public Cvor<T> Glava
        {
            get { return glava; }
            set { glava = value; }
        }
        public void dodajVrednost(T item)
        {
            Cvor<T> pom=glava;
            Cvor<T> pom2=glava;
            if (glava == null)
            {
                glava = new Cvor<T>(item);
            }
            else
            {
                while (pom != null)
                {
                    pom2 = pom;
                    if (pom.Vrednost.CompareTo(item) == 1)
                    {
                        pom = pom.Desni;
                    }
                    else pom = pom.Levi;
                }


                if (pom2.Vrednost.CompareTo(item) == 1)
                {
                    pom2.Desni = new Cvor<T>(item);
                    pom2.Levi = null;
                }
                else
                {
                    pom2.Levi = new Cvor<T>(item);
                    pom2.Desni = null;
                }
            }
        }


        




        public IEnumerable<T> vratiEnumeratorPremaSelekciji(Selektuj<T> t,  Cvor<T> glava)
        {
            if (glava != null)
            {
                if (t(glava.Vrednost))
                    foreach (T item1 in vratiEnumeratorPremaSelekciji(t, glava.Desni))
                    {
                        yield return item1;
                    }
                else
                    foreach (T item1 in vratiEnumeratorPremaSelekciji(t, glava.Levi))
                    {
                        yield return item1;
                    }
            }
        }

        public IEnumerable<T> vratiEnumerator(Cvor<T> glava)
        {
            if(glava!=null)
            {
                foreach(T item in vratiEnumerator(glava.Levi))
                    yield return item;
                foreach(T item in vratiEnumerator(glava.Desni))
                    yield return item;
            }
        }

        public T this[int index]
        {

            get
            {
                int i = 0;
                foreach (T item in vratiEnumerator(glava))
                {
                    if (i == index) return item;
                    i++;
                }
                return default(T);
            }
        }





       
    }
}
