﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace II
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        BinarnoStablo<Student> stablo;
        Student s;
        public MainWindow()
        {
            InitializeComponent();
            stablo = new BinarnoStablo<Student>();
            cmbOpcije.Items.Add("Studenti koji imaju vise od pola poena u odnosu na maksimalan broj poena u rastucem poretku");
            cmbOpcije.Items.Add("Studenti koji imaju manje od pola poena i rodjeni su 1991. ili 1992.");
            cmbOpcije.SelectedIndex = 0;




        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            string ime = txtIme.Text;
            int indeks;
            int godinaUpisa;
            DateTime datumRodjenja;
            double brojPoena;
            try
            {
                indeks = Convert.ToInt16(txtIndeks.Text);
                godinaUpisa = Convert.ToInt16(txtGodina.Text);
                datumRodjenja = Convert.ToDateTime(dpDatum.SelectedDate);
                brojPoena = Convert.ToDouble(txtPoeni.Text);
            }
            catch (Exception)
            {
                throw;

            }

            s = new Student(indeks, godinaUpisa, ime, datumRodjenja);
            stablo.dodajVrednost(s);

            osveziListu();
        }

        private void osveziListu()
        {
            foreach (Student s1 in stablo.vratiEnumerator(stablo.Glava))
            {
                lbSve.Items.Add(s1.ToString());
            }
        }

        private void cmbOpcije_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            double maks;
            try
            {
                maks = Convert.ToDouble(txtMax.Text);
            }
            catch (Exception)
            {

                throw;
            }
            cmbOpcije.Items.Clear();

            if (cmbOpcije.SelectedIndex == 0)
            {
                foreach (Student s1 in stablo.vratiEnumeratorPremaSelekciji(x => x.BrojPoena > maks / 2, stablo.Glava))
                {
                    lbUslovi.Items.Add(s1.ToString());

                }
            }
            if (cmbOpcije.SelectedIndex == 1)
            {
                foreach (Student s1 in stablo.vratiEnumeratorPremaSelekciji(x => x.BrojPoena < maks / 2, stablo.Glava))
                {
                    lbUslovi.Items.Add(s1.ToString());

                }




            }




        }

        private void btnPr_Click(object sender, RoutedEventArgs e)
        {
            int indeks;
            try
            {
                indeks = Convert.ToInt16(txtRang);
            }
            catch (Exception)
            {
                
                throw;
            }

            lblPrikaz.Content = stablo[indeks].ToString();
        }
    }
}
