﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IPopravni
{
    public class AvionskaKarta:Karta,IPopust
    {
        protected bool prtljag;
        protected bool lastMinute;

        public AvionskaKarta(bool prtljag,bool lastMinute,string id, string pocetak, string kraj, double razdaljina, double cena)
            : base(id, pocetak, kraj, razdaljina, cena) 
        {
            this.prtljag = prtljag;
            this.lastMinute = lastMinute;
        }

        public override double dajCenuKarte()
        {
            if(prtljag)
                return base.cenaKartePoKilometru * base.razdaljinaUKilometrima + 100.00;
            else
                return base.cenaKartePoKilometru * base.razdaljinaUKilometrima;
        }

        public double Popust
        {
            get
            {
                return this.Popust;
            }
            set
            {
                if (lastMinute)
                    Popust = cenaKartePoKilometru * 0.5/100;
                else
                    Popust = cenaKartePoKilometru;
            }
        }
    }
}
