﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IIpopravni
{
    public delegate bool Selektuj<T>(T t);

    public class Cvor<T>
    {
        private T vrednost;
        public T Vrednost { get { return this.vrednost; } }

        Cvor<T> levoDete;
        Cvor<T> desnoDete;

        public Cvor<T> LevoDete { get { return this.levoDete; } }
        public Cvor<T> DesnoDete { get { return this.desnoDete; } }

        public Cvor(Cvor<T> levo,Cvor<T> desno,T t) 
        {
            levoDete = levo;
            desnoDete = desno;
            vrednost = t;
        }


    }
}
