﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IIpopravni
{
    public class Student:IEquatable<Student>,IComparable<Student>
    {
        protected int indeks;
        public int Indeks { get { return this.indeks; } }

        protected int godinaUpisa;
        public int GodinaUpisa { get { return this.godinaUpisa; } }

        protected string imeIPrezime;
        public string ImeIPrezime { get { return this.imeIPrezime; } }

        protected DateTime datumRodjenja;
        public DateTime DatumRodjenja { get { return this.datumRodjenja; } }

        protected double brojPoena;
        public double BrojPoena { get { return this.brojPoena; } set { this.brojPoena = value; } }

        public Student(int indeks,int godinaUpisa,string ime,DateTime datum) 
        {
            this.imeIPrezime = ime;
            this.indeks = indeks;
            this.datumRodjenja = datum;
            this.godinaUpisa = godinaUpisa;
        }

        public override string ToString()
        {
            return String.Format("{0} {1} {2}/{3},{4}",this.imeIPrezime,this.datumRodjenja,this.indeks,this.godinaUpisa,this.brojPoena);
        }

    

        public bool Equals(Student other)
        {
            if (this.imeIPrezime == other.imeIPrezime)
                return true;
            return false;
        }

        public int CompareTo(Student other)
        {
            if (this.brojPoena > other.brojPoena)
            {
                return 1;
            }
            return -1;
        }
    }
}
