﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        BinarnoStablo<Student> rangLista;
        List<Student> lista = new List<Student>();
        public MainWindow()
        {
            InitializeComponent();
            rangLista = new BinarnoStablo<Student>();


        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            string ime;
            int indeks;
            int upisan;
            DateTime datumrodj;
            int brojPoena;

            if (textBoxImePrezime.Text != "" && textBoxIndeks.Text != "" && textBoxGodinaUpisa.Text != "" && textBoxBrojPoena.Text != "" && datePicker1.SelectedDate.HasValue)
            {
                ime = textBoxImePrezime.Text;
                indeks = int.Parse(textBoxIndeks.Text);
                upisan = int.Parse(textBoxGodinaUpisa.Text);
                brojPoena = int.Parse(textBoxBrojPoena.Text);
                datumrodj = new DateTime(datePicker1.SelectedDate.Value.Year, datePicker1.SelectedDate.Value.Month, datePicker1.SelectedDate.Value.Day);

                Student stud = new Student(indeks, upisan, ime, datumrodj);
                stud.BrojPoena = brojPoena;

                if (!lista.Contains(stud))
                {
                    lista.Add(stud);
                    rangLista.dodajVrednost(stud);
                    Cvor<Student> prvi = rangLista.glava;
                    rangLista.metoda(prvi);
                }
                else
                    MessageBox.Show("Vec postoji");



                

                




                OsveziListBox();
            }
            else
                MessageBox.Show("unesi ispravno podatke");

        }

        private void OsveziListBox()
        {
            listBox1.Items.Clear();
            lista.Sort();

            foreach (var item in lista)
            {
                listBox1.Items.Add(item.ToString());
            }
        }
    }
}
