﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    public class GreskaAranzmana : Exception
    {
        protected Karta karta;
        public GreskaAranzmana(Karta k, string msg)
            : base(msg)
        {
            karta = k;
        }

        public override string ToString()
        {
            if (karta is AvionskaKarta)
                return "Avionska karta - " + base.Message;
            else if (karta is AutobuskaKarta)
                return "Autobuska karta - " + base.Message;
            else
                return "Vozna karta - " + base.Message;

        }
    }
}
