﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    public class VoznaKarta : Karta, IPopust
    {

        public VoznaKarta(string id, string pocetna, string krajnja, double razdaljina, double cena)
            : base(id, pocetna, krajnja, razdaljina, cena)
        {

        }

        public override double DajCenuKarte()
        {
            return base.razdaljinaUKilometrima * base.cenaKartePoKilometru;
        }

        public double Popust
        {
            get 
            {
                if (base.razdaljinaUKilometrima > 100.0)
                {
                    return (base.razdaljinaUKilometrima - 100.0) * 0.1;
                }
                else
                    return 0.0;
            }
        }
    }
}
