﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IIKolokvijum
{
    public delegate bool Funkcija();
    class BinarnoStablo<T> where T:IComparable<T>
    {
        private Cvor<T> glava=null;

        int i = 0;
        Cvor<T> pom;
            
            Cvor<T> pom2;
            
        int br=0;
        public void Dodaj(T item)
        {
            if (glava == null) { glava = new Cvor<T>(item); return;  }
            if (br == 0) { pom = glava; pom2 = new Cvor<T>(item);
            }
            br++;
            
                if (pom.Vrednost.CompareTo(pom2.Vrednost)==1)
                {
                    if (pom.levo == null)
                    {
                        pom.levo = pom2;
                        glava = pom;
                        return;
                    }

                    else { pom = pom.levo; Dodaj(item); }
                        
                 }
                else

                if (pom.Vrednost.CompareTo(pom2.Vrednost) == -1)
                {
                    if (pom.desno == null)
                    {
                        pom.desno = pom2;
                        glava = pom;
                        return;
                    }

                    else { pom = pom.desno; Dodaj(item); }

                }
            
            

        }

        /*public IEnumerable VratiEnumeratorPremaSelekciji(Funkcija,T item)
        {
            IEnumerable<T> pom;
            for(T item in pom)
            {
                yield return item;
            }
        }*/


        public T this[int n]
        {
            get {
               
                    return VrednostIzListe(n);
                
            }
        }

        private T VrednostIzListe(int n)
        {
            List<T> delovi = new List<T>();
            Cvor<T> pom=glava;
            while (true)
            {
                if (pom.levo != null)
                {
                    delovi.Add(pom.Vrednost);
                    pom = pom.levo;
                }
                if (pom.desno != null)
                {
                    delovi.Add(pom.Vrednost);
                    pom = pom.desno;
                }
                if (pom.desno == null && pom.levo == null)
                    break;
            }

            T nesto=default(T);
            int brojac=0;
           foreach(T item in delovi)
           {
               if(brojac==n)
                   nesto=item;
               brojac++;
           }
            return nesto;

        }
        
        public List<T> lista()
        {

            List<T> delovi = new List<T>();
          
            while (true)
            {
                try
                {
                    if (glava != null)
                    {
                        if (glava.levo != null)
                        {
                            delovi.Add(glava.Vrednost);
                            glava = glava.levo;
                        }
                        if (glava.desno != null)
                        {
                            delovi.Add(glava.Vrednost);
                            glava = glava.desno;
                        }
                        if (glava.desno == null || glava.levo == null)
                            break;
                    }
                    else
                    {
                        throw new Exception("Nema vrednsoti u listi");
                    }
                }
                catch (Exception ex)
                {
                    throw new Exception("Nema vrednost");
                }
            }
            return delovi;
        }

    }
}
