﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Filip_Radovanovic_73_12
{
    public class Student : IComparable<Student>, IEquatable<Student>
    {
        protected int indeks;

        public int Indeks
        {
            get { return indeks; }
        }

        protected int godinaUpisa;

        public int GodinaUpisa
        {
            get { return godinaUpisa; }
        }

        protected string imeIPrezime;

        public string ImeIPrezime
        {
            get { return imeIPrezime; }
        }

        protected DateTime datumRodjenja;

        public DateTime DatumRodjenja
        {
            get { return datumRodjenja; }
        }

        protected double brojPoena;

        public double BrojPoena
        {
            get { return brojPoena; }
            set { brojPoena = value; }
        }


        public Student(int indeks, int godinaUpisa, string imeIPrezime, DateTime datumRodjenja)
        {
            this.indeks = indeks;
            this.godinaUpisa = godinaUpisa;
            this.imeIPrezime = imeIPrezime;
            this.datumRodjenja = datumRodjenja;
        }

        public int CompareTo(Student other)
        {
            if (this.brojPoena > other.brojPoena)
                return -1;

            if (this.brojPoena < other.brojPoena)
                return 1;

            return 0;
        }

        public bool Equals(Student other)
        {
            string s1 = this.indeks + "/" + this.godinaUpisa;
            string s2 = other.indeks + "/" + other.godinaUpisa;

            if (s1 == s2)
                return true;

            return false;
        }

        public override string ToString()
        {
            return ImeIPrezime + ": " + datumRodjenja + " " + indeks +"/" + godinaUpisa + ", " + brojPoena;
        }
    }
}
