﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PrviKolokvijum
{
    public class AvionskaKarta : Karta, IPopust
    {

        protected bool prtljag;
        protected bool lastMinute;



        public override double dajCenuKarte()
        {
            if (prtljag)
                return base.cenaKartePoKilometru * base.razdaljinaUKilometrima + 100.0;
            else
                return base.cenaKartePoKilometru * base.razdaljinaUKilometrima;
        }

        public double Popust
        {
            get 
            {
                if (lastMinute)
                    return dajCenuKarte() * 0.5;
                else
                    return 0.0;
            }
        }

        public AvionskaKarta(string id, string pocetna, string krajnja, double razdaljina, double cena, bool prtljag, bool lastMinute)
            : base(id, pocetna, krajnja, razdaljina, cena)
        {
            this.prtljag = prtljag;
            this.lastMinute = lastMinute;
        }
    }
}
