﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    public class Aranzman:IPopust
    {

        private string pocetnadestinacija;

        public string Pocetnadestinacija
        {
          get { return pocetnadestinacija; }
          set { pocetnadestinacija = value; }
        }
        private string krajnjaDestinacija;

        public string KrajnjaDestinacija
        {
          get { return krajnjaDestinacija; }
          set { krajnjaDestinacija = value; }
        }
       
        private bool lastminute;
        private int brojNocenja;
        private double cenaNocenja;
        protected List<Karta> listaKarata;

        public Aranzman(string poc,string kraj,int noci,double cenanoc,bool last)
        {
            this.pocetnadestinacija=poc;
            this.krajnjaDestinacija=kraj;
            this.lastminute=last;
         
            this.cenaNocenja=cenanoc;
            this.brojNocenja=noci;
        }

        public void dodajkartu(List<Karta> karte)
        {
            Karta k1=karte.First();
            //try
            {if(k1.PocetnaDestinacija==this.pocetnadestinacija)
            {
                Karta k2=karte.Last();
                //try{
                if(k2.KrajnjaDestinacija==this.krajnjaDestinacija)
                {
                    foreach (Karta item in karte)
	                {
		                this.listaKarata.Add(item);
	                }
                }
               // }
                //catch throw(new GreskaAranzmana(k2,"Poslednja"));
            }
            }//catch throw(new GreskaAranzmana (k1,"Pocetna karta"));
       }
        public double Popust
        {
            get
            {
                throw new NotImplementedException();
            }
            set
            {
               if(this.lastminute==true)
               {
                   value=this.CenaAranzmana*0.3;
               }
            }
        }

        public double CenaAranzmana
        {
            get
            {
                return 0;
            }
            set
            {
                double kart = 0;
                foreach (Karta item in listaKarata)
                {
                    AutobuskaKarta ak = item as AutobuskaKarta;
                    Voznakarta vk = item as Voznakarta;
                    AvionskaKarta av = item as AvionskaKarta;
                    if (ak != null) kart += ak.dajCenuKarte();
                    if (vk != null) kart += vk.dajCenuKarte();
                    if (av != null) kart += av.dajCenuKarte();
                }
                value = this.brojNocenja * this.cenaNocenja + kart;
            }
        }

        public override string  ToString()
        {
            string zasve="";
            if(listaKarata!=null)
            foreach (Karta item in listaKarata)
            {
                if (item!= null)
                zasve += item.ID + " " + item.PocetnaDestinacija + "-" + krajnjaDestinacija + " ";
	        }
 	         return "Aranzman: "+pocetnadestinacija+"-"+krajnjaDestinacija+zasve;
        }
    }
}




