﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PrviKol
{
    public abstract class Karta
    {
        protected string id;
        protected string pocetnaDestinacija;


        protected string krajnjaDestinacija;


        protected double razdaljinaUKilometrima;
        protected double cenaKartePoKilometru;

        public Karta(string id, string pocetnaDest, string krajnjaDest, double razdaljina, double cenaPoKM)
        {
            this.id = id;
            this.pocetnaDestinacija = pocetnaDest;
            this.krajnjaDestinacija = krajnjaDest;
            this.razdaljinaUKilometrima = razdaljina;
            this.cenaKartePoKilometru = cenaPoKM;
        }
        public string PocetnaDestinacija
        {
            get { return pocetnaDestinacija; }
            
        }
        public string KrajnjaDestinacija
        {
            get { return krajnjaDestinacija; }
            
        }
        public abstract double dajCenuKarte();
        public override string ToString()
        {
            return id + "-" + pocetnaDestinacija + "->" + krajnjaDestinacija;
        }
        
    }
}
