﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace TreciKol
{
    /// <summary>
    /// Interaction logic for Zavrsene.xaml
    /// </summary>
    public partial class Zavrsene : Window
    {
        RezultatiDataContext rdc;
        public Zavrsene(RezultatiDataContext rdc)
        {
            InitializeComponent();
            this.rdc = rdc;
            popuni();
        }

        private void popuni()
        {
            var sve = from u in rdc.Utakmicas
                      where kojeJeVreme(DateTime.Now, u.PocetakUtakmice) == "kraj"
                      select u;

            foreach (var item in sve)
            {
                
            }
        }
        int kolikoGolovaDomacin(int Id)
        {
            var golovi = from u in rdc.Utakmicas
                         join gol in rdc.Gols
                         on u.ID equals gol.IDUtakmice
                         where u.IDEkipeDomacina == Id && gol.VremeGola <= DateTime.Now
                         group u by u.IDEkipeDomacina;
            int koliko = 0;
            //int koliko = golovi.Sum(golovi.
            return koliko;
        }
        int kolikoGolovaGost(int Id)
        {
            var golovi = from u in rdc.Utakmicas
                         join gol in rdc.Gols
                         on u.ID equals gol.IDUtakmice
                         where u.IDEkipeDomacina == Id && gol.VremeGola <= DateTime.Now
                         group u by u.IDEkipeDomacina;
            int koliko = 0;
            // koliko = golovi.Sum(golovi.
            return koliko;
        }


        string kojeJeVreme(DateTime pocetak, DateTime trenutnoVreme)
        {
            string s = "";
            double razlika = (trenutnoVreme.Subtract(pocetak)).TotalMinutes;
            if (razlika < 0)
                s = "mec nije poceo";
            else if (razlika > 45 && razlika < 60)
                s = "poluvreme";
            else if (razlika >= 60 && razlika <= 90)
            {
                razlika -= 15;
                s = (int)razlika + "'";
            }
            else if (razlika > 0 && razlika <= 45)
                s = (int)razlika + "'";
            else if (razlika > 90)
                s = "kraj";
            return s;
        }
    }
}
