﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace kolok2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        List<Student> lista;
        public MainWindow()
        {
            InitializeComponent();
        }
       
        private void btnDodaj_Click(object sender, RoutedEventArgs e)
        {
            string ime;
            int index;
            int godinaUpisa;
            double poeni;
            DateTime datumr;
            if (txtImePrezime.Text != "" || txtIndex.Text != "" || txtGodinaUpisa.Text != "" || datePicker1.Text != "" || txtBrojPoena.Text != "")
            {
                ime = txtImePrezime.Text;
                index = int.Parse(txtIndex.Text);
                godinaUpisa = int.Parse(txtGodinaUpisa.Text);
                datumr = DateTime.Parse(datePicker1.Text);
                poeni = double.Parse(txtBrojPoena.Text);

                Student s = new Student(index, godinaUpisa, ime, datumr, poeni);

                lbStudenti.Items.Clear();
                if (lista == null) lista = new List<Student>();
                else lista.Add(s);
                foreach (var p in lista)
                {  //if(!lista.Contains(p))
                    lbStudenti.Items.Add(p.ToString());
                    txtImePrezime.Clear();
                    txtBrojPoena.Clear();
                    txtGodinaUpisa.Clear();
                    txtIndex.Clear();


                }
            }
            else MessageBox.Show("Unesi sve podatke");

            if (comboBox1.SelectedIndex==0)
            {
                var pokazi = (from p in lista
                              where p.BrojPoena > (double.Parse(txtMaxPoena.Text)) / 2
                              orderby p.BrojPoena descending
                              select p.ToString()
                                  );
                lbSortiranje.Items.Clear();
                foreach (var p in pokazi)
                {
                    lbSortiranje.Items.Add(p);
                }


            }
            else if (comboBox1.SelectedIndex == 1)
            {
                var pokazi = (from p in lista
                              where p.BrojPoena < (double.Parse(txtMaxPoena.Text)) / 2  
                              orderby p.BrojPoena ascending
                              select p.ToString() 
                               );
                lbSortiranje.Items.Clear();
                foreach (var p in pokazi)
                {
                    lbSortiranje.Items.Add(p);
                } 
            }
        }

        private void comboBox1_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
           


        }
    }
}
