﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Drugi
{
    class BinarnoStablo<Type> where Type : IComparable
    {
        private Cvor<Type> glava;

        public void dodajVrednost(Type vrednost)
        {
            Cvor<Type> noviCvor = new Cvor<Type>(vrednost);
            Cvor<Type> trenutni = null;
            trenutni = pozicioniranje(vrednost);

            if (trenutni == null)
            {
                this.glava = noviCvor;
            }
            else
            {
                if (vrednost.CompareTo(trenutni.Vrednost) == -1)
                {
                    trenutni.levo = noviCvor;
                }
                else if (vrednost.CompareTo(trenutni.Vrednost) == -1)
                {
                    trenutni.desno = noviCvor;
                }
                
            }
        }

        private Cvor<Type> pozicioniranje(Type vrednost)
        { 
            Cvor<Type> trenutni = this.glava;

            while (trenutni!=null)
            {
                if(vrednost.CompareTo(trenutni.Vrednost)==-1)
                {
                    if (trenutni.levo == null)
                    {
                        return trenutni;
                    }
                    else
                    {
                        trenutni = trenutni.levo;
                    }
                }
                else
                {
                    if (trenutni.desno == null)
                    {
                        return trenutni;
                    }
                    else
                    {
                        trenutni = trenutni.desno;
                    }
                }
            }

            return trenutni;
        }

        public IEnumerable<Type> VratiEnumeratorPremaSelekciji(Selektuj<Type> s, Type vrednost)
        {
            throw new NotImplementedException();
        }

        //public Cvor<Type> BinarnoStablo[int n]
        //{
            
        //}



    }
}
