﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Prvi
{
    class AvionskaKarta : Karta, IPopust
    {
        protected bool prtljag;
        protected bool lastMinute;

        public AvionskaKarta(string id, string pocDest, string krajDest, double razdKM, double cenaKM, bool prtljag, bool lastMin)
            :base(id,pocDest,krajDest,razdKM,cenaKM)
        {
            this.prtljag = prtljag;
            this.lastMinute = lastMin;
        }

        public override double dajCenuKArte()
        {
            if (this.prtljag)
            {
                return this.razdaljinaUKilometrima * this.cenaKartePoKilometru +100.0;
            }
            return this.razdaljinaUKilometrima * this.cenaKartePoKilometru;
        }




        public double Popust
        {
            get
            {
                if (this.lastMinute)
                {
                    return this.dajCenuKArte() * 0.5;
                }
                return 0;
            }
        }

    }
}
