﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Prvi
{
    abstract class Karta
    {
        protected string id;
        protected string pocetnaDestinacija;
        protected string krajnjaDestinacija;
        protected double razdaljinaUKilometrima;
        protected double cenaKartePoKilometru;

        public Karta(string id, string pocDest, string krajDest, double razdKM, double cenaKM)
        {
            this.id = id;
            this.pocetnaDestinacija = pocDest;
            this.krajnjaDestinacija = krajDest;
            this.razdaljinaUKilometrima = razdKM;
            this.cenaKartePoKilometru = cenaKM;
        }


        public string PocetnaDestinacija { get { return this.pocetnaDestinacija; } }

        public string KrajnjaDestinacija { get { return this.krajnjaDestinacija; } }

        public abstract double dajCenuKArte();

        public override string ToString()
        {
            return this.id + " - " + this.pocetnaDestinacija + " -> " + this.krajnjaDestinacija;
        }

        

    }
}
