﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Prvi
{
    class VoznaKarta : Karta, IPopust
    {

        public VoznaKarta(string id, string pocDest, string krajDest, double razdKM, double cenaKM)
            : base(id, pocDest, krajDest, razdKM, cenaKM)
        { 
        
        }

        public override double dajCenuKArte()
        {
            return this.razdaljinaUKilometrima * this.cenaKartePoKilometru;
        }

        public double Popust
        {
            get
            {
                double razPopust = 0;

                if (razdaljinaUKilometrima > 100)
                {
                    razPopust = razdaljinaUKilometrima - 100;
                    
                }

                return razPopust * cenaKartePoKilometru * 0.1;
            }
        }


    }
}
