﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IIKolokvijum
{
    public class BinarnoStablo<T>
    {
        private Cvor<T> glava;


        private Cvor<T>[] niz = new Cvor<T>[100];

        public void dodajVrednost(T item)
        {
            int p;

            if (glava == null)
                glava.Vrednost = item;

            Cvor<T> pom = this;

            while (pom != null)
            {   
                if(pom.Vrednost is Cvor<T>)
                p = (pom.Vrednost as Cvor<T>).CompareTo(item);

                if(p == -1)
                    pom.desnoDete;
                else
                    pom.levoDete;

                
            }

            if (pom.Vrednost is Cvor<T>)
                p = (pom.Vrednost as Cvor<T>).CompareTo(item);
            if (p == -1)
                pom.desnoDete.Vrednost = item;

            else
                pom.levoDete.Vrednost = item;
        }

        public Cvor<T>[] idikrozStablo(Cvor<T> pom)
        {
            if(pom != null)
               idikrozStablo(pom.desnoDete);
            if(pom != null)
                   idikrozStablo(pom.levoDete);

            int i = 0;
            while (niz[i] != null) i++;
            niz[i++] = pom;

            return niz;

        }


        public IEnumerable<T> VratiEnumeratorPremaSelekciji(Selektuj<T> uslov, T item)
        {
            for (int i = 0; i < 100; i++)
            {
                yield return niz[i];               
            }
        }

        public Cvor<T> this[int index]
        {
            get
            {
                return niz[indeks];
            }
        }
    }
}
