﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace II
{
    public class Student : IComparable<Student>, IEquatable<Student>
    {
        protected int indeks;
        public int Indeks
        {
            get
            {
                return indeks;
            }
        }

        protected int godinaUpisa;
        public int GodinaUpisa
        {
            get { return godinaUpisa; }
        }

        protected string imeIPrezime;
        public string ImeIPrezime
        {
            get { return imeIPrezime; }
        }

        protected DateTime datumRodjenja;
        public DateTime DatumRodjenja
        {
            get { return datumRodjenja; }
        }

        protected double brojPoena;
        public double BrojPoena
        {
            get { return brojPoena; }
        }

        public Student(int indeks, int godinaUpisa, string imeIPrezime, DateTime datumRodjenja)
        {
            this.indeks = indeks;
            this.godinaUpisa = godinaUpisa;
            this.imeIPrezime = imeIPrezime;
            this.datumRodjenja = datumRodjenja;
        }

        public override string ToString()
        {
            return imeIPrezime + ": " + datumRodjenja + ", " + indeks + "/" + godinaUpisa + ", " + brojPoena;
        }

        public int CompareTo(Student other)
        {
            if (this.brojPoena > other.brojPoena) return 1;
            else return 0;
        }

        public bool Equals(Student other)
        {
            if (this.brojPoena == other.brojPoena) return true;
            return false;
        }
    }
}
