﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IPopravni
{
    public class Aranzman:IPopust
    {
        private string pocetnaDestinacija;
        private string krajnjaDestinacija;
        private bool lastMinute;
        private int brojNocenja;
        private double cenaNocenja;
        protected List<Karta> karte;

        public string PocetnaDestinacija { get { return this.pocetnaDestinacija; } }
        public string KrajnjaDestinacija { get { return this.krajnjaDestinacija; } }

        public Aranzman(string pocetak, string krajnja, bool lastMinute,int brojNocenja,double cenaNocenja) 
        {
            this.pocetnaDestinacija = pocetak;
            this.krajnjaDestinacija = krajnja;
            this.lastMinute = lastMinute;
            this.brojNocenja = brojNocenja;
            this.cenaNocenja = cenaNocenja;
            karte = new List<Karta>();
        }

        public void dodajKarte(List<Karta> x)
        {
            if (this.pocetnaDestinacija != x.First().PocetnaDestinacija)
            {
                throw new GreskaAranzmana(x.First(), "Pocetne destinacije se ne poklapaju");
            }
            else if (this.krajnjaDestinacija != x.Last().PocetnaDestinacija)
            {
                throw new GreskaAranzmana(x.Last(), "Krajnje destinacije se ne poklapaju");
            }
         //   else
       //     {
                foreach (Karta  item in x)
                {
                    this.karte.Add(item);
                }
       //     }
        }

        public double CenaAranzmana { get { return this.CenaAranzmana; }
            set 
            {
                double pom = this.cenaNocenja*this.brojNocenja;
                double suma = 0;
                
                foreach (Karta item in karte)
                {
                    suma += item.dajCenuKarte();    
                }

                suma += pom;

                CenaAranzmana = suma;
            } 
        }

        public double Popust
        {
            get
            {
                return Popust;
            }
            set
            {
                if (lastMinute)
                {
                    double x = this.cenaNocenja * 0.3;
                    double suma = 0;
                    foreach (Karta item in karte)
                    {
                        
                      // suma+=item.
                    }
                    Popust = x;
                }
                
            }
        }

        public override string ToString()
        {
            String s = "Aranzman: " + this.pocetnaDestinacija + "-" + this.krajnjaDestinacija;
            String x = "";
            foreach (Karta item in karte)
            {
                x += item.ToString();
            }

            String a=s+" "+x;

            return a;
        }
    }
}
