﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IPopravni
{
    public abstract class Karta
    {
        protected string id;
        protected string pocetnaDestinacija;
        protected string krajnjaDestinacija;
        protected double razdaljinaUKilometrima;
        protected double cenaKartePoKilometru;

        public Karta(string id, string pocetak, string kraj, double razdaljina, double cena)
        {
            this.id = id;
            this.pocetnaDestinacija = pocetak;
            this.krajnjaDestinacija = kraj;
            this.razdaljinaUKilometrima = razdaljina;
            this.cenaKartePoKilometru = cena;
        }

        public string PocetnaDestinacija { get { return this.pocetnaDestinacija; } }
        public string KrajnjaDestinacija { get { return this.krajnjaDestinacija; } }

        public abstract double dajCenuKarte();

        public override string ToString()
        {
            return String.Format("{0}-{1}->{2}",this.id,this.pocetnaDestinacija,this.krajnjaDestinacija);
        }

    }
}
