﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IIpopravni
{
    public class BinarnoStablo<T> where T : IComparable<T>
    {
        private Cvor<T> glava;



        public void dodajVrednost(Cvor<T> t) 
        {
            if (glava == null)
            {
                glava = new Cvor<T>(null, null,t.Vrednost);
            }
            else
            {
                Cvor<T> pom = glava;
                while (pom!=null)
                {
                    if (pom.Vrednost.CompareTo(t.Vrednost)==1)
                    {
                        pom = pom.LevoDete;
                    }
                    if (pom.Vrednost.CompareTo(t.Vrednost)==-1)
                    {
                        pom = pom.DesnoDete;
                    }
                }
                pom = new Cvor<T>(null, null, t.Vrednost);
            }
        }

      
      /* public Cvor<T> this[int n]
        {
            get 
            {
                int i = 0;
                while(glava!=null)

            }
        }*/

        public List<String> lista = new List<String>();

        public void stampaj(Cvor<T> t) 
        {
            Cvor<T> pom = glava;

            while (pom != null)
            {
                if (pom.LevoDete != null)
                    stampaj(pom.LevoDete);
                if (pom.DesnoDete != null)
                    stampaj(pom.DesnoDete);
            }
            lista.Add(pom.Vrednost.ToString());

        }

       public IEnumerable<T> VratiEnumeratorPremaSelekciji(Selektuj<T> t)
        {
            Cvor<T> pom = glava;
            while (pom != null)
            {
                if (t(pom.LevoDete.Vrednost) && pom.LevoDete!=null)
                {
                    pom = pom.LevoDete;
                }
                if (t(pom.DesnoDete.Vrednost) && pom.DesnoDete!=null)
                {
                    pom = pom.DesnoDete;
                }
                yield return pom.Vrednost;
            }
            
        }
    }
}
