﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication1
{
   public  class Student:IComparable<Student>,IEquatable<Student>

   {
       protected int indeks;
       public int Indeks
       {
           get { return indeks; }
       }

       protected int godinaUpisa;
       public int GodinaUpisa
       {
           get { return godinaUpisa; }
       }

       protected string imePrezime;
       public string ImePrezime
       {
           get { return imePrezime; }
       }

       protected DateTime datumRodjenja;
       public DateTime DatumRodjenja
       {
           get { return datumRodjenja; }
       }

       protected double brojPoena;
       public double BrojPoena
       {
           get { return brojPoena; }
           set { brojPoena = value; }
       }

       public Student(int indeks,int godinaUpisa,string imePrezime,DateTime datumRodjenja,double brojPoena)
       {
           this.indeks = indeks;
           this.godinaUpisa = godinaUpisa;
           this.imePrezime = imePrezime;
           this.datumRodjenja = datumRodjenja;
           this.brojPoena = brojPoena;
       }

       public string toString()
       {
           return ImePrezime + "," + DatumRodjenja + "," + Indeks + "/" + GodinaUpisa + ",broj poena=" + BrojPoena;
       }




       public int CompareTo(Student other)
       {
           if (this.BrojPoena > other.brojPoena) return 1;
           else if (this.brojPoena < other.brojPoena) return -1;

           return 0;
       }

       public bool Equals(Student other)
       {
           if (this.indeks == other.indeks && this.godinaUpisa == other.godinaUpisa) return true;

           return false;

           //if (this.BrojPoena == other.brojPoena) return 0;
       }
   }
}
