﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DrugiKolokvijum
{
    public class Student:IComparable<Student>, IEquatable<Student>
    {

        protected int indeks;
        protected int godinaUpisa;
        protected string imeIprezime;
        protected DateTime datumRodjenja;
        protected double brojPoena;

        public int Indeks 
        {
            get
            {
                return this.indeks;
            }
        }

        public int GodinaUpisa
        {
            get { return godinaUpisa; }
        }


        public string ImeIPrezime
        {
            get { return imeIprezime; }
        }


        public DateTime DatumRodjenja
        {
            get { return datumRodjenja; }

        }

        public double BrojPoena
        {
            get { return brojPoena; }

        }

        public Student(int ind, int god, string imeIprezime, DateTime datumRodjenja, double brojPoena)
        {
            this.indeks = ind;
            this.godinaUpisa = god;
            this.imeIprezime = imeIprezime;
            this.datumRodjenja = datumRodjenja;
            this.brojPoena = brojPoena;
        }

        public override string ToString()
        {
            return ImeIPrezime + " " + DatumRodjenja + " " + Indeks + "/" + GodinaUpisa + " " + BrojPoena;
        }

       

        public bool Equals(Student other)
        {
            if (this.CompareTo(other) == 1)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        public int CompareTo(Student other)
        {
            if (this.BrojPoena > other.BrojPoena)
            {
                return 1;
            }
            return 0;
        }
    }
}
