﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    public abstract class Karta
    {
        protected string id;
        protected string pocetnaDestinacija;
        protected string krajnjaDestinacija;
        protected double razdaljinaUKilometrima;
        protected double cenaKartePoKilometru;

        public Karta(string id, string pocetna, string krajnja, double razdaljina, double cena)
        {
            this.id = id;
            pocetnaDestinacija = pocetna;
            krajnjaDestinacija = krajnja;
            razdaljinaUKilometrima = razdaljina;
            cenaKartePoKilometru = cena;
        }
        public string PocetnaDestinacija
        {
            get
            {
                return pocetnaDestinacija;
            }
        }
        public string KrajnjaDestinacija
        {
            get
            {
                return krajnjaDestinacija;
            }
        }
        public abstract double DajCenuKarte();
        public override string ToString()
        {
            return id + "-" + pocetnaDestinacija + "->" + krajnjaDestinacija;
        }
    }
}
